Skip to navigation
User ManagementGet user by ID or username

Get user by ID or username

Get a specific user by ID provided the user is within this requesting user’s organisation or the organisation’s immediate child organisations.

id may be one of:

  • The numeric ID of the user, e.g. “123”. This is the top-level id object returned by each item in GET /api/v1/user
  • Username (email), e.g. “exampleuser@org.de”. This is the top-level username object returned by each item in GET /api/v1/user

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

user_iddoubleRequired
User ID

Response

Success
idintegerOptional
usernamestringOptional
namestringOptional
createdstringOptional
statusobjectOptional
organisationobjectOptional
roleslist of objectsOptional
mfalist of objectsOptional

Errors

403
Forbidden Error
404
Not Found Error